<template>
    <div class="header-container is-card">
        <h1 class="header-text">{{ name }}</h1>
        <td class="clicky plause-btn" @click="togglePlay">
            <i :class="`fas fa-${template.running ? 'pause' : 'play'}`"></i>
        </td>
    </div>
</template>

<script lang="ts">
import Vue, { PropType } from "vue";
import state from "~/state";

export default Vue.extend({
    props: {
        internal: {
            type: String as PropType<TemplateT>,
            required: true,
        },
        name: {
            type: String,
            required: true,
        },
    },
    data() {
        return {
            pointsToAdd: "",
            cooldownOn: true,
        };
    },
    computed: {
        template(): ITemplate {
            return state.templates[this.internal];
        },
    },
    methods: {
        onToggleRun() {
            if (this.cooldownOn) {
                this.togglePlay();
                setTimeout(() => this.cooldownOn = false, 3000);
            }
        },
        togglePlay() {
            this.template.running = !this.template.running;
        },
    },
});
</script>

<style scoped>
.header-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.header-text {
    font-size: 28px;
    font-weight: 600;
}
.plause-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 45px;
    height: 45px;
    margin: 15px;
}
</style>
